TPMLIB_VolatileAll_Store(3)

NAME
TPMLIB_VolatileAll_Store - store all volatile state of the TPM in a buffer

LIBRARY
TPM library (libtpms, -ltpms)

SYNOPSIS
#include <libtpms/tpm_library.h>

#include <libtpms/tpm_error.h>

TPM_RESULT TPMLIB_VolatileAll_Store(unsigned char **buffer,
                        uint32_t *buflen);

DESCRIPTION
The TPMLIB_VolatileAll_Store() function is used to get the volatile state of the TPM. The function will allocate a buffer and return the number of bytes of state information in the buflen variable.

ERRORS

TPM_SUCCESS
    The function completed successfully.

TPM_FAIL
    General failure.

For a complete list of TPM error codes please consult the include file libtpms/tpm_error.h

SEE ALSO
TPMLIB_MainInit(3), TPMLIB_Terminate(3), TPMLIB_RegisterCallbacks(3)